Subject: [bug#44785] [PATCH 00/22] Update sequoia to 0.20.0

From: Christopher Baines <[email-masked]>
Date: Mon, 23 Nov 2020 08:50:44 +0000

Hartmut Goebel <[email-masked]> writes:

> Hartmut Goebel (22):
>   gnu: Add rust-rpassword-5.
>   gnu: Add rust-win-crypto-ng-0.2.
>   gnu: Add rust-num-bigint-dig-0.6.
>   gnu: Add rust-memsec-0.6.
>   gnu: Add rust-ena-0.14:
>   gnu: Add rust-lalrpop-util-0.19.
>   gnu: Add rust-lalrpop-0.19.
>   gnu: Add rust-keccak-0.1.
>   gnu: Add rust-merlin-2.
>   gnu: Add rust-signature-derive-1.
>   gnu: Add rust-signature-1.
>   gnu: Add rust-ed25519-1.
>   gnu: Add rust-curve25519-dalek-3.
>   gnu: Add rust-ed25519-dalek-1.
>   gnu: Add rust-dyn-clone-1.
>   gnu: Add rust-bzip2-0.3.
>   gnu: Add rust-base64-0.13.
>   gnu: Add rust-hashlink-0.6.
>   gnu: Add rust-hashbrown-0.9.
>   gnu: Add rust-libsqlite3-sys-0.20.
>   gnu: Add rust-rusqlite: Update to 0.24.
>   gnu: sequoia: Update to 0.20.0.
>
>  gnu/packages/crates-io.scm | 586 +++++++++++++++++++++++++++++++++----
>  gnu/packages/sequoia.scm   |  64 ++--
>  2 files changed, 580 insertions(+), 70 deletions(-)

Hey,

From the automated patch review stuff I've been working on, there's some
data about these changes available here [1].

1: https://data.guix-patches.cbaines.net/compare?base_commit=234558f4a324efc1ec1d3cd6b8da83551563dada&target_commit=32a8f9707f832b7e819089b3f874c95260ac63ed

There's a couple of new lint warnings (at least with the non-network
ones) for rust-signature-derive and rust-win-crypto-ng.

Also, it's not easy to tell, but there are some new packages that fail
to build:

 - rust-base64
 - rust-lalrpop
 - rust-libsqlite3-sys
 - rust-rusqlite

They're listed on the "Compare package derivations" page, linked to from
[1], with a red 3 on the right hand side of the page, that means 3
failed builds.

I haven't looked at these patches in more detail, but I thought I'd let
you know about the lint warnings and failed builds.

Thanks,

Chris